<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">

<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
<!-- <link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/teampopup.css"> -->

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
	<div id="loading-area"><div class="la-anim-10"></div></div>
	<!-- header -->
	<!-- #masthead -->


<?php if(get_theme_mod('peccular_header_style', 'On Slider') == 'On Slider' ){ ?>
<header class="site-header header-transparent header mo-left header-seo" style="position:absolute;">
	
	<div class="mainbottom-header top-bar-head bottom-header <?php if( get_theme_mod( 'peccular_show_sticky_header', false) != '') { ?>sticky-header peccular-header <?php } ?>" style="border-radius: 0px;">
						
		<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">	
						<!-- <div class="row row-eq-height"> -->
			<div class="header-nav-area">
											 
			<div class="row row-eq-height md-1">
				<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-2 logo">
					<div class="inside-full-height">
							
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}


								?>
								<!-- website logo -->
								<div class="logo-header">
						

				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
							</div>
					</div>
				</div>
				<div class="col-xl-7 col-lg-7 col-md-7 col-sm-7 col-xs-12 head-menu pd-0">
						<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
						<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
					<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
					<?php }?>
						<div class="row md-1">
							<div class="site-navigation">
		                  <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                  </div>
		                  <nav class="navigation">
		                     <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                       <div class="menu-wrapper">
		                           <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                              </div> <!-- /.hours-content-->		                              

												<div class="clearfix"></div>

		                        </div><!-- /.menu-wrapper --> 
		                  </nav>	
		                     	                       
		             </div><!--  /.site-navigation -->		                   
						</div>
					</div><!-- col 12 icons -->
							

		        </div>
		                    <div class="clearfix"></div>
			</div>
			<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-12 pd-0">
					
						<div class="total-count">	
						<?php if(function_exists ('wc_get_cart_url')){?>				
						<a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a>
							<div class="count"><!-- <?php //global $woocommerce; ?> --><?php echo WC()->cart->get_cart_contents_count(); ?> </div>
									
						<?php }?>
						</div>
					
			</div>
			<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-12 pd-0">				
				
			   		<?php
                    $peccular_header_acbutton_text = get_theme_mod('peccular_header_acbutton_text', 'My Account'); 
                    $peccular_headermyaccounturl = get_theme_mod('peccular_headermyaccounturl', 'Add "Header Button" link here');
                 	?>
                    <?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
                    	<div class="head-btnicon">
                    		<i class="fa fa-user" aria-hidden="true"></i>
                       <a href="<?php echo $peccular_headermyaccounturl; ?>" class="header-shopbtn" title="headermyaccount"><?php echo ($peccular_header_acbutton_text );  ?></a>
                    </div>
                    <?php }?>
					
			</div>
		</div>
						
		</div>
		</div>		
		</div><!-- sticky header -->			
		<div class="clearfix"></div>

</div>

<!--end main top header-->	
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="" fill-opacity="1" d="M0,160L40,154.7C80,149,160,139,240,133.3C320,128,400,128,480,138.7C560,149,640,171,720,181.3C800,192,880,192,960,181.3C1040,171,1120,149,1200,138.7C1280,128,1360,128,1400,128L1440,128L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path></svg>
<!-- <svg 
 xmlns="http://www.w3.org/2000/svg"
 xmlns:xlink="http://www.w3.org/1999/xlink"
 width="1600px" height="170px">
<path fill-rule="evenodd"  fill="url(#PSgrad_0)"
 d="M0.187,169.738 C64.780,161.907 127.648,150.540 188.839,135.548 C258.871,118.390 309.912,103.097 381.755,97.085 C434.640,92.659 491.787,88.554 552.288,100.290 C614.963,112.448 667.323,117.877 728.151,134.480 C800.628,154.261 888.413,164.219 939.186,161.190 C990.957,158.102 1078.859,148.894 1160.879,133.411 C1218.192,122.592 1297.433,107.404 1328.215,100.290 C1358.408,93.312 1410.334,83.659 1459.313,81.058 C1506.418,78.557 1551.232,86.083 1600.003,87.469 C1600.003,62.895 1600.003,25.501 1600.003,0.929 C1067.086,0.217 534.169,1.641 1.253,0.929 C0.898,53.635 0.542,117.029 0.187,169.738 Z"/>
</svg> -->
<div class="header-svg2">
	<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="" fill-opacity="1" d="M0,160L40,154.7C80,149,160,139,240,133.3C320,128,400,128,480,138.7C560,149,640,171,720,181.3C800,192,880,192,960,181.3C1040,171,1120,149,1200,138.7C1280,128,1360,128,1400,128L1440,128L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path></svg>
 <!-- <svg 
 xmlns="http://www.w3.org/2000/svg"
 xmlns:xlink="http://www.w3.org/1999/xlink"
 width="1600px" height="170px">

<path fill-rule="evenodd"  fill="url(#PSgrad_0)"
 d="M0.187,169.738 C64.780,161.907 127.648,150.540 188.839,135.548 C258.871,118.390 309.912,103.097 381.755,97.085 C434.640,92.659 491.787,88.554 552.288,100.290 C614.963,112.448 667.323,117.877 728.151,134.480 C800.628,154.261 888.413,164.219 939.186,161.190 C990.957,158.102 1078.859,148.894 1160.879,133.411 C1218.192,122.592 1297.433,107.404 1328.215,100.290 C1358.408,93.312 1410.334,83.659 1459.313,81.058 C1506.418,78.557 1551.232,86.083 1600.003,87.469 C1600.003,62.895 1600.003,25.501 1600.003,0.929 C1067.086,0.217 534.169,1.641 1.253,0.929 C0.898,53.635 0.542,117.029 0.187,169.738 Z"/>
</svg> -->
</div>

</header>

 <?php } elseif(get_theme_mod('peccular_header_style', 'On Slider') == 'Above Slider' ){ ?>

<header class="site-header header-transparent header mo-left header-seo" style="position:relative">
		
<div class="mainbottom-header top-bar-head bottom-header <?php if( get_theme_mod( 'peccular_show_sticky_header', false) != '') { ?>sticky-header peccular-header <?php } ?>" style="border-radius: 0px;">
					
	<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">	
						
	<div class="header-nav-area">						
		<div class="row row-eq-height md-1">
			<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-2 logo">
				<div class="inside-full-height">
							
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}


								?>
								<!-- website logo -->
						<div class="logo-header">						

				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
						</div>
			<div class="col-lg-7 col-md-7 col-sm-7 col-xs-7 head-menu pd-0">
				<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
						<div class="row md-0">
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 pd-0 site-navigation">		

					<!-- <div class="site-navigation "> -->
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->		                              

												<div class="clearfix"></div>

		                            </div><!-- /.menu-wrapper --> 
		                        </nav>
		                        <div class="clearfix"></div>
		                    </div><!--  /.site-navigation -->

		                    
				</div>
			</div><!-- col 12 icons -->
		                    <div class="clearfix"></div>
		</div>
	</div>
		<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-12 pd-0">
					
						<div class="total-count">	
						<?php if(function_exists ('wc_get_cart_url')){?>				
						<a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a>
							<div class="count"><!-- <?php //global $woocommerce; ?> --><?php echo WC()->cart->get_cart_contents_count(); ?> </div>
									
						<?php }?>
						</div>
					
			</div>
			<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-12 pd-0">				
				
			   		<?php
                    $peccular_header_acbutton_text = get_theme_mod('peccular_header_acbutton_text', 'My Acoount'); 
                    $peccular_headermyaccounturl = get_theme_mod('peccular_headermyaccounturl', 'Add "Header Button" link here');
                 	?>
                    <?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
                    	<div class="head-btnicon">
                    		<i class="fa fa-user" aria-hidden="true"></i>
                       <a href="<?php echo $peccular_headermyaccounturl; ?>" class="header-shopbtn" title="headermyaccount"><?php echo ($peccular_header_acbutton_text );  ?></a>
                     </div>  
                    <?php }?>
					
			</div>
	</div>
	</div>		
	</div>				
				<div class="clearfix"></div>
			</div>
			<!--end main top header-->	
					<div class="clearfix"></div>
					
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="" fill-opacity="1" d="M0,160L40,154.7C80,149,160,139,240,133.3C320,128,400,128,480,138.7C560,149,640,171,720,181.3C800,192,880,192,960,181.3C1040,171,1120,149,1200,138.7C1280,128,1360,128,1400,128L1440,128L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path></svg>
<div class="header-svg2">
 <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="" fill-opacity="1" d="M0,160L40,154.7C80,149,160,139,240,133.3C320,128,400,128,480,138.7C560,149,640,171,720,181.3C800,192,880,192,960,181.3C1040,171,1120,149,1200,138.7C1280,128,1360,128,1400,128L1440,128L1440,0L1400,0C1360,0,1280,0,1200,0C1120,0,1040,0,960,0C880,0,800,0,720,0C640,0,560,0,480,0C400,0,320,0,240,0C160,0,80,0,40,0L0,0Z"></path></svg>
</div>
	</header>

	 <?php }?>

	</div>