<?php 
$wp_customize->add_section(
    'peccular_bsellingproduct_section',
    array(
        'title'   => __( 'Best Selling Product', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>20
    )
);

$wp_customize->add_setting('peccular_bsellingproduct_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_bsellingproduct_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Best Selling Product Section Settings', 'peccular'),
  'description' => 'peccular_bsellingproduct_reset_settings',
  'section' => 'peccular_bsellingproduct_section'
)));

$wp_customize->add_setting('peccular_bsellingproduct_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_bsellingproduct_nav', array(
       'section' => 'peccular_bsellingproduct_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_bsellingproduct_enable', 
                'peccular_bsellingproduct_maintitle'
              
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_bsellingproduct_section_bg_color',
                'peccular_bsellingproduct_section_bg_image',
                'peccular_bsellingproduct_box_onload_effects',
                'peccular_bsellingproduct_head_align',                 
                'peccular_bsellingproduct_heading_color',
                'peccular_bsellingproduct_headborder1_color',
                'peccular_bsellingproduct_headborder2_color',
                'peccular_bsellingproduct_headicon_color',
                'peccular_bsellingproduct_bxtitle_color',
                'peccular_bsellingproduct_boxbg3_color',                
                'peccular_bsellingproduct_bx1btntext_color',
                'peccular_bsellingproduct_bxbtnbrdr_color',                             
                'peccular_bsellingproduct_bxtbtnbg_color',
                'peccular_bsellingproduct_bxprice1_color',
                'peccular_bsellingproduct_bxprice2_color',
                'peccular_bsellingproduct_bxtitlehov_color',                
                'peccular_bsellingproduct_bxbtnhovbg_color1',
                'peccular_bsellingproduct_bxbtnhovtext_color'                


            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_bsellingproduct_padding',                
                'peccular_bsellingproduct_top_padding',
                'peccular_bsellingproduct_bottom_padding',                 
                'peccular_bsellingproduct_section_width'                     
                
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_bsellingproduct_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( 
    $wp_customize, 'peccular_bsellingproduct_enable',
    array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_bsellingproduct_section'
)));

$wp_customize->add_setting(
    'peccular_bsellingproduct_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Best Selling Product', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_bsellingproduct_maintitle',
    array(
        'settings'      => 'peccular_bsellingproduct_maintitle',
        'section'       => 'peccular_bsellingproduct_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);



$wp_customize->add_setting( 'peccular_bsellingproduct_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_bsellingproduct_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_bsellingproduct_section',
    )));

$wp_customize->add_setting( 'peccular_bsellingproduct_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_bsellingproduct_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_bsellingproduct_section',
    )));



$wp_customize->add_setting('peccular_bsellingproduct_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_bsellingproduct_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_bsellingproduct_section',
    ));

    $wp_customize->add_setting('peccular_bsellingproduct_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_bsellingproduct_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_bsellingproduct_section',
    ));

   

//colors
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_heading_color', 'peccular_bsellingproduct_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_headborder1_color', 'peccular_bsellingproduct_section', 'Heading Bottom Border 1 Color ', '');

addColorPalatOption($wp_customize, 'peccular_bsellingproduct_headborder2_color', 'peccular_bsellingproduct_section', 'Heading Bottom Border 2 Color ', '');

addColorPalatOption($wp_customize, 'peccular_bsellingproduct_headicon_color', 'peccular_bsellingproduct_section', 'Heading Bottom Icon Color ', '');

addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxtitle_color', 'peccular_bsellingproduct_section', 'Box Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxtitlehov_color', 'peccular_bsellingproduct_section', 'Title Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxprice1_color', 'peccular_bsellingproduct_section', 'Box Price1 Color ', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxprice2_color', 'peccular_bsellingproduct_section', 'Box Price2 Color ', '');

addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bx1btntext_color', 'peccular_bsellingproduct_section', 'Button Text & Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxbtnhovtext_color', 'peccular_bsellingproduct_section', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxbtnbrdr_color', 'peccular_bsellingproduct_section', 'Button Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxtbtnbg_color', 'peccular_bsellingproduct_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_bsellingproduct_bxbtnhovbg_color1', 'peccular_bsellingproduct_section', 'Button Hover BG Color ', '');


 $wp_customize->add_setting('peccular_bsellingproduct_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_bsellingproduct_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_bsellingproduct_section'
   ));

    $wp_customize->add_setting('peccular_bsellingproduct_top_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_bsellingproduct_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_bsellingproduct_section',
    ));
     $wp_customize->add_setting('peccular_bsellingproduct_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_bsellingproduct_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_bsellingproduct_section',
    ));


  $wp_customize->add_setting('peccular_bsellingproduct_section_width',array(
        'default' => 'Box width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_bsellingproduct_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_bsellingproduct_section',
    ));


// backgroundManager($wp_customize, 'bsellingproduct', 'peccular_bsellingproduct_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

// $wp_customize->add_setting('peccular_bsellingproduct_post_image_height',array(
//         'default' => 460,
//         'sanitize_callback' => 'peccular_sanitize_integer'
//     ));
//     $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_bsellingproduct_post_image_height',array(
//     'label' => __('Image Height','peccular'),
//     'section' => 'peccular_bsellingproduct_section',
//     'input_attrs' => array(
//             'min' => 0,
//             'max' => 500,
//             'step' => 1,
//         ),
//     )));

    // $wp_customize->add_setting('peccular_bsellingproduct_post_excerpt',array(
    //     'default' => 10,
    //     'sanitize_callback' => 'peccular_sanitize_integer'
    // ));
    // $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_bsellingproduct_post_excerpt',array(
    // 'label' => __('Excerpt Length','peccular'),
    // 'section' => 'peccular_bsellingproduct_section',
    // 'input_attrs' => array(
    //         'min' => 0,
    //         'max' => 100,
    //         'step' => 1,
    //     ),
    // )));
?>