<?php 
$wp_customize->add_section(
    'peccular_catproduct_section',
    array(
        'title'   => __( 'Product Category', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>19
    )
);

$wp_customize->add_setting('peccular_catproduct_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_catproduct_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Catproduct Section Settings', 'peccular'),
  'description' => 'peccular_catproduct_reset_settings',
  'section' => 'peccular_catproduct_section'
)));

$wp_customize->add_setting('peccular_catproduct_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_catproduct_nav', array(
       'section' => 'peccular_catproduct_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_catproduct_enable', 
                'peccular_catproduct_maintitle'              
               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_catproduct_section_bg_color',
                'peccular_catproduct_section_bg_image',
                'peccular_categoryproduct_box_onload_effects',
                'peccular_catproduct_head_align',                 
                'peccular_catproduct_heading_color',
                'peccular_catproduct_headborder1_color',
                'peccular_catproduct_headborder2_color',
                'peccular_catproduct_headbtmicon_color',
                'peccular_catproduct_imgbg_color',
                'peccular_catproduct_cattitle_color'               

                
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_catproduct_padding',                
                'peccular_catproduct_top_padding',
                'peccular_catproduct_bottom_padding',                 
                 'peccular_catproduct_section_width'                     
                
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_catproduct_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( 
    $wp_customize, 'peccular_catproduct_enable',
    array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_catproduct_section'
)));

$wp_customize->add_setting(
    'peccular_catproduct_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Food Categories', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_catproduct_maintitle',
    array(
        'settings'      => 'peccular_catproduct_maintitle',
        'section'       => 'peccular_catproduct_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);


$wp_customize->add_setting( 'peccular_catproduct_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_catproduct_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_catproduct_section',
    )));

$wp_customize->add_setting( 'peccular_catproduct_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_catproduct_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_catproduct_section',
    )));



$wp_customize->add_setting('peccular_categoryproduct_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_categoryproduct_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_catproduct_section',
    ));

    $wp_customize->add_setting('peccular_catproduct_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_catproduct_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_catproduct_section',
    ));

   

//colors
addColorPalatOption($wp_customize, 'peccular_catproduct_heading_color', 'peccular_catproduct_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_catproduct_headborder1_color', 'peccular_catproduct_section', 'Heading Bottom Border 1 Color ', '');
addColorPalatOption($wp_customize, 'peccular_catproduct_headborder2_color', 'peccular_catproduct_section', 'Heading Bottom Border 2 Color ', '');
addColorPalatOption($wp_customize, 'peccular_catproduct_headbtmicon_color', 'peccular_catproduct_section', 'Heading Bottom Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_catproduct_imgbg_color', 'peccular_catproduct_section', 'Image BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_catproduct_cattitle_color', 'peccular_catproduct_section', 'Title Color ', '');


 $wp_customize->add_setting('peccular_catproduct_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_catproduct_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_catproduct_section'
   ));

    $wp_customize->add_setting('peccular_catproduct_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_catproduct_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_catproduct_section',
    ));
     $wp_customize->add_setting('peccular_catproduct_bottom_padding',array(
        'default' => '21',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_catproduct_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_catproduct_section',
    ));


  $wp_customize->add_setting('peccular_catproduct_section_width',array(
        'default' => 'Box width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_catproduct_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_catproduct_section',
    ));


// $wp_customize->add_setting('peccular_catproduct_post_image_height',array(
//         'default' => 460,
//         'sanitize_callback' => 'peccular_sanitize_integer'
//     ));
//     $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_catproduct_post_image_height',array(
//     'label' => __('Image Height','peccular'),
//     'section' => 'peccular_catproduct_section',
//     'input_attrs' => array(
//             'min' => 0,
//             'max' => 500,
//             'step' => 1,
//         ),
//     )));

  
?>